Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Service_Type_Repository::Type_Info Class Reference

Storage structure for information pertinent to the type. More...

Collaboration diagram for TAO_Service_Type_Repository::Type_Info:

[legend]
List of all members.

## Public Attributes
CosTradingRepos::ServiceTypeRepository::TypeStruct | type_struct_
| Standard type info.
CORBA::Boolean | has_subtypes_
| Names of subtypes.

## Detailed Description

Storage structure for information pertinent to the type.

## Member Data Documentation

CORBA::Boolean TAO_Service_Type_Repository::Type_Info::has_subtypes_

| Names of subtypes.

CosTradingRepos::ServiceTypeRepository::TypeStruct TAO_Service_Type_Repository::Type_Info::type_struct_

| Standard type info.

The documentation for this class was generated from the following file:

- Service_Type_Repository.h